Package uk.ac.starlink.topcat

## Class HelpAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - uk.ac.starlink.topcat.HelpAction

- All Implemented Interfaces:
    `java.awt.event.ActionListener`, `java.io.Serializable`, `java.lang.Cloneable`, `java.util.EventListener`, `javax.swing.Action`

      public class HelpAction
      extends javax.swing.AbstractAction

  Action which invokes help.
  Since:
    25 Jan 2006
  Author:
    Mark Taylor
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HelpAction​(java.lang.String helpID, java.awt.Component parent)` | Constructs a new help window for a given helpID.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(java.awt.event.ActionEvent evt)` |
    `static boolean` | `helpIdExists​(java.lang.String helpID)` | Tests whether a given helpID is available.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.Action

      `accept`

- - ### Constructor Detail

    - #### HelpAction

          public HelpAction​(java.lang.String helpID,
                            java.awt.Component parent)

      Constructs a new help window for a given helpID. If helpID is non-null, the corresponding topic will be displayed in the browser when the action is invoked. If it's null, the browser will come up as is.
      Parameters:
        `helpID` - help id string
        `parent` - parent window - may be used for positioning

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed​(java.awt.event.ActionEvent evt)

    - #### helpIdExists

          public static boolean helpIdExists​(java.lang.String helpID)

      Tests whether a given helpID is available.
      Parameters:
        `helpID` - the help ID to test
      Returns:
        true iff `helpID` is a known ID in this application's HelpSet